/**
 * Sonatype Nexus (TM) Open Source Version
 * Copyright (c) 2007-2012 Sonatype, Inc.
 * All rights reserved. Includes the third-party code listed at http://links.sonatype.com/products/nexus/oss/attributions.
 *
 * This program and the accompanying materials are made available under the terms of the Eclipse Public License Version 1.0,
 * which accompanies this distribution and is available at http://www.eclipse.org/legal/epl-v10.html.
 *
 * Sonatype Nexus (TM) Professional Version is available from Sonatype, Inc. "Sonatype" and "Sonatype Nexus" are trademarks
 * of Sonatype, Inc. Apache Maven is a trademark of the Apache Software Foundation. M2eclipse is a trademark of the
 * Eclipse Foundation. All other trademarks are the property of their respective owners.
 */
package org.sonatype.nexus.artifactorybridge;

import org.codehaus.plexus.component.annotations.Component;
import org.codehaus.plexus.component.annotations.Requirement;
import org.restlet.Application;
import org.restlet.Router;
import org.sonatype.plexus.rest.PlexusResourceFinder;
import org.sonatype.plexus.rest.PlexusRestletApplicationBridge;

@Component( role = Application.class, hint = "artifactoryBridge" )
public class ArtifactoryBridgeApplication
    extends PlexusRestletApplicationBridge
{

    @Requirement( role = ArtifactoryRedirectorPlexusResource.class )
    private ArtifactoryRedirectorPlexusResource artifactoryRedirector;

    @Override
    protected void doCreateRoot( Router root, boolean isStarted )
    {
        attach( root, false, "", new PlexusResourceFinder( getContext(), artifactoryRedirector ) );
        attach( root, false, "/", new PlexusResourceFinder( getContext(), artifactoryRedirector ) );
    }
}
